% generate initial conditions for Problem 2 in ENG3165 coursework 2017-18 % 
num_patches = 30; 
n = 26; 
rand_x = randi(n,[1,num_patches]); 
rand_y = randi(n,[1,num_patches]); 
u = ones(n); v = zeros(n);
r = 10; 
for k = 1:length(rand_x) 
    i = rand_x(k); 
    j = rand_y(k); 
    i_min = max(i-r,1); 
    i_max = min(i+r,n); 
    j_min = max(j-r,1); 
    j_max = min(j+r,n); 
    u(i_min:i_max,j_min:j_max) = 0.50; 
    v(i_min:i_max,j_min:j_max) = 0.25; 
end
u = u + 0.05 * rand(n); 
v = v + 0.05 * rand(n); 
save('uvinitial.mat', 'u', 'v')
figure(1)
contour(u,100)

figure(2)
contour(v,100)